Subject: Re: Cygwin Perl and Module Math::BigInt
From: Tels <[email-masked]>
To: cygwin <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 15 Nov 2001 17:27:33 +0100 (CET)

-----BEGIN PGP SIGNED MESSAGE-----

Moin,

okay, I repeat my question because it got lost somehow:

On 14-Nov-01 Gerrit P. Haase tried to scribble about:
> Hallo Tels,
> Without Math::BigInt->new() (I added several print statements):
> $ perl t/06bigint.t

What is this? Which tests are you running? I need to know that to
investigate the failures, otherwise I can't fix it.

> 1..35
> [...]
> $num is now: -2.8147497671066e+14
>#32: expecting hex:0207ff000000000000
>#32:       got hex:0207fefffffffffffc
>#line 93 t/06bigint.t
> not ok 32
> ok 33
> ok 34
>#35: expecting -2.8147497671066e+14
>#35:       got -281474976710656
>#line 96 t/06bigint.t
> not ok 35
> 
> If I change it back:
> 
> $num is now: -281474976710660
>#32: expecting hex:0207ff000000000000
>#32:       got hex:0207fefffffffffffc
>#line 90 t/06bigint.t
> not ok 32
> ok 33
> ok 34
>#35: expecting -281474976710660
>#35:       got -281474976710656
>#line 93 t/06bigint.t
> not ok 35

Cheers,

Tels

- --
 "Why do you go so slowly? Do you think this is some kind of game?"
 PGP key available on http://bloodgate.com/tels.asc or via email.
 perl -MDev::Bollocks -e'print Dev::Bollocks->rand(),"\n"'
 seamlessly engineer plug-and-play users

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/